<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true">

	<extensions>
		<add assembly="NLog.Web.AspNetCore"/>
	</extensions>

	<targets>
		<target xsi:type="File" name="robotManagerLogFile" fileName="${basedir}/robotManagerlogs/${shortdate}.log" maxArchiveFiles="90" archiveEvery="Day" >
			<layout type='JsonLayout'>
				<attribute name='time' layout='${date:format=HH\:mm\:ss.ffff}' />
				<attribute name='level' layout='${level:upperCase=true}'/>
				<attribute name='logger' layout='${logger}' />
				<attribute name='message' layout='${message}' />
				<attribute name='exception' layout='${exception:format=tostring}' />
			</layout>
		</target>
		<target xsi:type="File" name="openACSLogFile" fileName="${basedir}/openACSlogs/${shortdate}.log" maxArchiveFiles="90" archiveEvery="Day" >
			<layout type='JsonLayout'>
				<attribute name='time' layout='${date:format=HH\:mm\:ss.ffff}' />
				<attribute name='level' layout='${level:upperCase=true}'/>
				<attribute name='logger' layout='${logger}' />
				<attribute name='message' layout='${message}' />
				<attribute name='exception' layout='${exception:format=tostring}' />
			</layout>
		</target>
	</targets>
	<rules>
		<logger name="RobotNet.RobotManager.*" minlevel="Debug" writeto="robotManagerLogFile" />
		<logger name="RobotNet.RobotManager.Services.OpenACS.*" minlevel="Debug" writeto="openACSLogFile" />
	</rules>
</nlog>